Database - Feature #2290

enhance SchemabDictionary to store context-local information for dynamic queries
04/22/2014 10:53 AM - Eric Faulhaber
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Improvements
billable: No vendor _id: GCD
Description
History

#1 - 04/22/2014 11:05 AM - Eric Faulhaber

Currently, a new SchemabDictionary instance is created for each context (see SchemaDicitonary.locallnstance, which is called by
DynamicQueryHelper.parse). These objects can be very large and are expensive to initialize, and most of the data is the same across all contexts. A
better approach would be to have a single, shared instance of the SchemabDictionary for dynamic conversion use, wherein the global scope is loaded
once and shared, and scopes which need to differ by context are managed in context-local data structures.

#2 - 07/30/2014 12:23 PM - Eric Faulhaber

- Target version changed from Milestone 11 to Milestone 17

#3 - 11/16/2016 12:30 PM - Greg Shah

- Target version changed from Milestone 17 to Performance and Scalability Improvements
